Contents

# Shell Function

Starts another application and defines the respective window style, if necessary.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### Pathname

Name of the program that you want to start, optionally with complete path and/or arguments.

### Windowstyle

Optional integer expression that specifies the style of the window that the program is executed in.

Parameter Windowstyle is only effective on Windows systems. On other systems the parameter is ignored.

The following values are possible:

Windowstyle | Nozīme
--- | ---
0 | The focus is on the hidden program window. Not implemented in LibreOffice.
1 | The focus is on the program window in standard size. Not implemented in LibreOffice.
2 | The focus is on the minimized program window.
3 | focus is on the maximized program window.
4 | Standard size program window, without focus. Not implemented in LibreOffice.
6 | Minimized program window, focus remains on the active window. Not implemented in LibreOffice.
10 | Full-screen display.

Windowstyle 3 and 10 are equivalent in Windows systems.

### Param

String that specifies additional arguments passed to the program.

### bSync

If this value is set to true, the Shell command and all LibreOffice tasks wait until the shell process completes. If the value is set to false, the shell returns directly. The default value is false.

### Error codes:

5 Nederīgs procedūras izsaukums

53 Datne nav atrasta

73 Nav realizēts

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub